=== modified file 'client/completion_hash.cc'
--- client/completion_hash.cc	2008-08-09 21:25:01 +0000
+++ client/completion_hash.cc	2008-09-10 22:54:20 +0000
@@ -22,7 +22,6 @@
 
 #include "client_priv.h"
 #include <mystrings/m_string.h>
-#undef SAFEMALLOC				// Speed things up
 #include "completion_hash.h"
 
 uint hashpjw(const char *arKey, uint nKeyLength)

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-09-08 05:34:16 +0000
+++ client/drizzletest.cc	2008-09-10 22:54:20 +0000
@@ -63,7 +63,6 @@
 #define QUERY_REAP_FLAG  2
 
 enum {
-  OPT_SKIP_SAFEMALLOC=OPT_MAX_CLIENT_OPTION,
   OPT_PS_PROTOCOL, OPT_SP_PROTOCOL, OPT_CURSOR_PROTOCOL, OPT_VIEW_PROTOCOL,
   OPT_MAX_CONNECT_RETRIES, OPT_MARK_PROGRESS, OPT_LOG_DIR, OPT_TAIL_LINES
 };

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-09-04 00:35:18 +0000
+++ mysys/my_sys.h	2008-09-10 22:54:20 +0000
@@ -127,13 +127,9 @@
 #define GETDATE_FIXEDLENGTH	16
 
 	/* defines when allocating data */
-#ifdef SAFEMALLOC
-#else
 #define my_checkmalloc()
 #undef TERMINATE
 #define TERMINATE(A,B) {}
-#define QUICK_SAFEMALLOC
-#define NORMAL_SAFEMALLOC
 extern void *my_malloc(size_t Size,myf MyFlags);
 #define my_malloc_ci(SZ,FLAG) my_malloc( SZ, FLAG )
 extern void *my_realloc(void *oldpoint, size_t Size, myf MyFlags);
@@ -148,7 +144,6 @@
 #define CALLER_INFO         /* nothing */
 #define ORIG_CALLER_INFO    /* nothing */
 #define TRASH(A,B) /* nothing */
-#endif
 
 #ifdef HAVE_ALLOCA
 #if defined(__GNUC__) && !defined(HAVE_ALLOCA_H) && ! defined(alloca)

=== modified file 'tests/stress-test.pl'
--- tests/stress-test.pl	2008-08-12 21:13:01 +0000
+++ tests/stress-test.pl	2008-09-10 22:54:20 +0000
@@ -120,7 +120,7 @@
 $pid_file="mysql_stress_test.pid";
 $opt_mysqltest= ($^O =~ /mswin32/i) ? "mysqltest.exe" : "mysqltest";
 $opt_check_tests_file="";
-@mysqltest_args=("--silent", "-v", "--skip-safemalloc");
+@mysqltest_args=("--silent", "-v");
 
 # Client ip address
 $client_ip=inet_ntoa((gethostbyname(hostname()))[4]);

